Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Reverse_Iterator_Impl Class Template Reference

Defines a abstract reverse iterator. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Reverse_Iterator_Impl:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Reverse_Iterator_Impl (void)
| Destructor. More...
virtual ACE_Reverse_Iterator_Impl< T > * | clone (void) const=0
| Clone. More...
virtual int | compare (const ACE_Reverse_Iterator_Impl< T > &rhs) const=0
| Comparison. More...
virtual T | dereference (void) const=0
| Dereference. More...
virtual void | plus_plus (void)=0
| Advance. More...
virtual void | minus_minus (void)=0
| Reverse. More...

## Detailed Description

### template<class T>
class ACE_Reverse_Iterator_Impl< T >

Defines a abstract reverse iterator.

Implementation to be provided by subclasses.

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE ACE_Reverse_Iterator_Impl< T >::~ACE_Reverse_Iterator_Impl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T>
virtual ACE_Reverse_Iterator_Impl<T>* ACE_Reverse_Iterator_Impl< T >::clone | ( | void |  | ) | const`[pure virtual]`

| Clone. Reimplemented in ACE_Map_Impl_Reverse_Iterator_Adapter, ACE_Active_Map_Manager_Reverse_Iterator_Adapter, ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter, and ACE_Map_Manager_Reverse_Iterator_Adapter.

template<class T>
virtual int ACE_Reverse_Iterator_Impl< T >::compare | ( | const ACE_Reverse_Iterator_Impl< T > & | rhs | ) | const`[pure virtual]`

| Comparison. Reimplemented in ACE_Map_Impl_Reverse_Iterator_Adapter, ACE_Active_Map_Manager_Reverse_Iterator_Adapter, ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter, and ACE_Map_Manager_Reverse_Iterator_Adapter.

template<class T>
virtual T ACE_Reverse_Iterator_Impl< T >::dereference | ( | void |  | ) | const`[pure virtual]`

| Dereference. Reimplemented in ACE_Map_Impl_Reverse_Iterator_Adapter, ACE_Active_Map_Manager_Reverse_Iterator_Adapter, ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter, and ACE_Map_Manager_Reverse_Iterator_Adapter.

template<class T>
virtual void ACE_Reverse_Iterator_Impl< T >::minus_minus | ( | void |  | ) | `[pure virtual]`

| Reverse. Reimplemented in ACE_Map_Impl_Reverse_Iterator_Adapter, ACE_Active_Map_Manager_Reverse_Iterator_Adapter, ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter, and ACE_Map_Manager_Reverse_Iterator_Adapter.

template<class T>
virtual void ACE_Reverse_Iterator_Impl< T >::plus_plus | ( | void |  | ) | `[pure virtual]`

| Advance. Reimplemented in ACE_Map_Impl_Reverse_Iterator_Adapter, ACE_Active_Map_Manager_Reverse_Iterator_Adapter, ACE_Hash_Map_Manager_Ex_Reverse_Iterator_Adapter, and ACE_Map_Manager_Reverse_Iterator_Adapter.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.i